<?xml version="1.0" encoding="utf-8" ?>
<objects xmlns="http://www.springframework.net">

  <object id="Manager.HostRCU" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HostRCUManager, Service">
        <property name="CurrentRepository" ref="Repository.HostRCU" />
      </object>
    </property>
  </object>

  <object id="Manager.HotelAirControl" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HotelAirControlManager, Service">
        <property name="CurrentRepository" ref="Repository.HotelAirControl" />
      </object>
    </property>
  </object>

  <object id="Manager.RoomTypeProgramFiles" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomTypeProgramFilesManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomTypeProgramFiles" />
      </object>
    </property>
  </object>

  <object id="Manager.RoomTypeChannels" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomTypeChannelsManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomTypeChannels" />
      </object>
    </property>
  </object>

  <object id="Manager.SysProvince" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.SysProvinceManager, Service">
        <property name="CurrentRepository" ref="Repository.SysProvince" />
        <property name="SysCityRepository" ref="Repository.SysCity" />
        <property name="SysCountyRepository" ref="Repository.SysCounty" />
      </object>
    </property>
  </object>

  <object id="Manager.SysHotelGroup" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.SysHotelGroupManager, Service">
        <property name="CurrentRepository" ref="Repository.SysHotelGroup" />
        <property name="SysHotelRepository" ref="Repository.SysHotel" />
        <property name="SysRoleRepository" ref="Repository.SysRole" />
        <property name="SysUserRepository" ref="Repository.SysUser" />
      </object>
    </property>
  </object>

  <object id="Manager.SysOauth2" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.SysOauth2Manager, Service">
        <property name="CurrentRepository" ref="Repository.SysOauth2" />
      </object>
    </property>
  </object>

  <object id="Manager.HostWordsReport" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HostWordsReportManager, Service">
        <property name="CurrentRepository" ref="Repository.HostWordsReport" />
      </object>
    </property>
  </object>

  <object id="Manager.ManualVisit" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.ManualVisitManager, Service">
        <property name="CurrentRepository" ref="Repository.ManualVisit" />
      </object>
    </property>
  </object>

  <object id="Manager.HostFaults" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HostFaultsManager, Service">
        <property name="CurrentRepository" ref="Repository.HostFaults" />
      </object>
    </property>
  </object>

  <object id="Manager.HostFaultRecords" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HostFaultRecordsManager, Service">
        <property name="CurrentRepository" ref="Repository.HostFaultRecords" />
      </object>
    </property>
  </object>

  <object id="Manager.HotelSeason" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HotelSeasonManager, Service">
        <property name="CurrentRepository" ref="Repository.HotelSeason" />
      </object>
    </property>
  </object>

  <object id="Manager.RoomTypeWXMenus" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomTypeWXMenusManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomTypeWXMenus" />
      </object>
    </property>
  </object>

  <object id="Manager.WXMenus" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.WXMenusManager, Service">
        <property name="CurrentRepository" ref="Repository.WXMenus" />
      </object>
    </property>
  </object>

  <object id="Manager.SysActiveUser" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.SysActiveUserManager, Service">
        <property name="CurrentRepository" ref="Repository.SysActiveUser" />
      </object>
    </property>
  </object>

  <object id="Manager.EnergyConsumptionStatistics" type="Service.Implement.EnergyConsumptionStatisticsManager, Service">
    <property name="CurrentRepository" ref="Repository.EnergyConsumptionStatistics" />
  </object>

  <object id="Manager.CurtainControl" type="Service.Implement.CurtainControlManager, Service">
    <property name="CurtainControlReceiver" ref="RCUHost.CurtainControlReceiver" />
  </object>

  <object id="Manager.PowerSupplyControl" type="Service.Implement.PowerSupplyControlManager, Service">
    <property name="PowerSupplyControlReceiver" ref="RCUHost.PowerSupplyControlReceiver" />
  </object>

  <object id="Manager.MusicControl" type="Service.Implement.MusicControlManager, Service">
    <property name="MusicControlReceiver" ref="RCUHost.MusicControlReceiver" />
  </object>

  <object id="Manager.TvControl" type="Service.Implement.TvControlManager, Service">
    <property name="TVControlReceiver" ref="RCUHost.TVControlReceiver" />
  </object>

  <object id="Manager.RoomServiceRecord" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomServiceRecordManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomServiceRecord" />
      </object>
    </property>
  </object>
  <object id="Manager.HostModalRecord" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HostModalRecordManager, Service">
        <property name="CurrentRepository" ref="Repository.HostModalRecord" />
      </object>
    </property>
  </object>
  <object id="Manager.HostAirRecord" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HostAirRecordManager, Service">
        <property name="CurrentRepository" ref="Repository.HostAirRecord" />
      </object>
    </property>
  </object>

  <object id="Manager.AppHotel" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.AppHotelManager, Service">
        <property name="CurrentRepository" ref="Repository.AppHotel" />
      </object>
    </property>
  </object>

  <object id="Manager.AppMenu" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.AppMenuManager, Service">
        <property name="CurrentRepository" ref="Repository.AppMenu" />
      </object>
    </property>
  </object>

  <object id="Manager.AppRoom" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.AppRoomManager, Service">
        <property name="CurrentRepository" ref="Repository.AppRoom" />
      </object>
    </property>
  </object>


  <object id="Manager.ModalType" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.ModalTypeManager, Service">
        <property name="CurrentRepository" ref="Repository.ModalType" />
      </object>
    </property>
  </object>

  <object id="Manager.RoomTypeAir" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomTypeAirManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomTypeAir" />
      </object>
    </property>
  </object>

  <object id="Manager.RoomTypeModal" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomTypeModalManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomTypeModal" />
      </object>
    </property>
  </object>

  <object id="Manager.SearchHost" type="Service.Implement.SearchHostManager, Service">
    <property name="HostSearchReceiver" ref="RCUHost.HostSearchReceiver" />
    <property name="HostRepository" ref="Repository.Host" />
  </object>

  <object id="Manager.HostRoomCard" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HostRoomCardManager, Service">
        <property name="CurrentRepository" ref="Repository.HostRoomCard" />
      </object>
    </property>
  </object>

  <object id="Manager.RoomCardType" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomCardTypeManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomCardType" />
      </object>
    </property>
  </object>

  <object id="Manager.RoomCard" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomCardManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomCard" />
      </object>
    </property>
  </object>

  <object id="Manager.SysHotel" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.SysHotelManager, Service">
        <property name="CurrentRepository" ref="Repository.SysHotel" />
        <property name="GroupRepository" ref="Repository.Group" />
        <property name="RoomTypeManager" ref="Manager.RoomType" />
        <property name="SysUserManager" ref="Manager.SysUser" />
        <property name="HostManager" ref="Manager.Host" />
        <property name="HotelTimeReceiver" ref="RCUHost.HotelTimeReceiver" />
      </object>
    </property>
  </object>

  <object id="Manager.FaultRecords" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.FaultRecordsManager, Service">
        <property name="CurrentRepository" ref="Repository.FaultRecords" />
      </object>
    </property>
  </object>

  <object id="Manager.FaultType" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.FaultTypeManager, Service">
        <property name="CurrentRepository" ref="Repository.FaultType" />
        <property name="FaultRecordsRepository" ref="Repository.FaultRecords" />
      </object>
    </property>
  </object>

  <object id="Manager.LightControl" type="Service.Implement.LightControlManager, Service">
    <property name="RoomTypeSceneModalManager" ref="Manager.RoomTypeSceneModal" />
    <property name="DeviceControlReceiver" ref="RCUHost.DeviceControlReceiver" />
  </object>

  <object id="Manager.UnlockControl" type="Service.Implement.UnlockControlManager, Service">
    <property name="UnlockControlReceiver" ref="RCUHost.UnlockControlReceiver" />
  </object>

  <object id="Manager.RoomTypeSceneModal" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomTypeSceneModalManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomTypeSceneModal" />
      </object>
    </property>
  </object>

  <object id="Manager.RoomTypeScene" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomTypeSceneManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomTypeScene" />
        <property name="RoomTypeModalRepository" ref="Repository.RoomTypeModal" />
      </object>
    </property>
  </object>

  <object id="Manager.RoomStatusAid" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomStatusAidManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomStatusAid" />
      </object>
    </property>
  </object>

  <object id="Manager.Overview" type="Service.Implement.OverviewManager, Service">
    <property name="CurrentRepository" ref="Repository.Overview" />
    <!--<property name="HostModalRecordRepository" ref="Repository.HostModalRecord" />-->
    <property name="RoomTypeModalRepository" ref="Repository.RoomTypeModal" />
  </object>

  <object id="Manager.HostUpdateStatus" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HostUpdateStatusManager, Service">
        <property name="CurrentRepository" ref="Repository.HostUpdateStatus" />
      </object>
    </property>
  </object>

  <object id="Manager.RoomService" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomServiceManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomService" />
        <property name="SysUserRepository" ref="Repository.SysUser" />
        <property name="GroupRepository" ref="Repository.Group" />
        <property name="HostRepository" ref="Repository.Host" />
        <property name="AlarmSettingRepository" ref="Repository.AlarmSetting" />
        <property name="RoomTypeModalRepository" ref="Repository.RoomTypeModal" />
        <property name="ServiceReceiver" ref="RCUHost.ServiceReceiver" />
        <property name="HostFaultsRepository" ref="Repository.HostFaults" />
      </object>
    </property>
  </object>

  <object id="Manager.HostModal" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HostModalManager, Service">
        <property name="CurrentRepository" ref="Repository.HostModal" />
        <property name="DeviceControlReceiver" ref="RCUHost.DeviceControlReceiver" />
        <property name="HostRegisterReceiver" ref="RCUHost.HostRegisterReceiver" />
      </object>
    </property>
  </object>

  <object id="Manager.HostScene" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HostSceneManager, Service">
        <property name="CurrentRepository" ref="Repository.HostScene" />
      </object>
    </property>
  </object>

  <object id="Manager.HostAir" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HostAirManager, Service">
        <property name="CurrentRepository" ref="Repository.HostAir" />
        <property name="HostRepository" ref="Repository.Host" />
        <property name="AirConditionStatusReceiver" ref="RCUHost.AirConditionStatusReceiver" />
        <property name="HotelSeasonRepository" ref="Repository.HotelSeason" />
      </object>
    </property>
  </object>

  <object id="Manager.RoomStatus" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomStatusManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomStatus" />
      </object>
    </property>
  </object>

  <object id="Manager.RoomModal" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomModalManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomModal" />
      </object>
    </property>
  </object>

  <object id="Manager.SysSetting" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.SysSettingManager, Service">
        <property name="CurrentRepository" ref="Repository.SysSetting" />
      </object>
    </property>
  </object>

  <object id="Manager.RoomType" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomTypeManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomType" />
        <property name="RoomTypeModalRepository" ref="Repository.RoomTypeModal" />
        <property name="WXMenusRepository" ref="Repository.WXMenus" />
        <property name="RoomTypeWXMenusRepository" ref="Repository.RoomTypeWXMenus" />
        <property name="RoomTypeSceneRepository" ref="Repository.RoomTypeScene" />
        <property name="RoomTypeSceneModalRepository" ref="Repository.RoomTypeSceneModal" />
        <property name="RoomTypeChannelsRepository" ref="Repository.RoomTypeChannels" />
        <property name="RoomTypeProgramFilesRepository" ref="Repository.RoomTypeProgramFiles" />
      </object>
    </property>
  </object>

  <object id="Manager.SysSystemLogs" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.SysSystemLogsManager, Service">
        <property name="CurrentRepository" ref="Repository.SysSystemLogs" />
      </object>
    </property>
  </object>

  <object id="Manager.ModelDetail" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.ModelDetailManager, Service">
        <property name="CurrentRepository" ref="Repository.ModelDetail" />
      </object>
    </property>
  </object>

  <object id="Manager.Model" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.ModelManager, Service">
        <property name="CurrentRepository" ref="Repository.Model" />
        <property name="EnergySavingModeReceiver" ref="RCUHost.EnergySavingModeReceiver" />
      </object>
    </property>
  </object>

  <object id="Manager.AlarmSetting" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.AlarmSettingManager, Service">
        <property name="CurrentRepository" ref="Repository.AlarmSetting" />
      </object>
    </property>
  </object>

  <object id="Manager.HostUpdate" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HostUpdateManager, Service">
        <property name="CurrentRepository" ref="Repository.HostUpdate" />
      </object>
    </property>
  </object>

  <object id="Manager.Host" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HostManager, Service">
        <property name="CurrentRepository" ref="Repository.Host" />
        <property name="UpdateHostReceiver" ref="RCUHost.UpdateHostReceiver" />
        <property name="UpdateHostFTPReceiver" ref="RCUHost.UpdateHostFTPReceiver" />
        <property name="AuthorizationReceiver" ref="RCUHost.AuthorizationReceiver" />
        <!--<property name="UpdateConfigReceiver" ref="RCUHost.UpdateConfigReceiver" />-->
        <property name="UpdateRCUFileReceiver" ref="RCUHost.UpdateRCUFileReceiver" />
        <property name="RoomStatusChangedReceiver" ref="RCUHost.RoomStatusChangedReceiver" />
        <!--<property name="ConnectingRoomReceiver" ref="RCUHost.ConnectingRoomReceiver" />-->
        <!--<property name="HeartReceiver" ref="RCUHost.HeartReceiver" />-->
        <property name="AlarmSettingRepository" ref="Repository.AlarmSetting" />
        <property name="GroupRepository" ref="Repository.Group" />
        <!--<property name="RoomTypeRepository" ref="Repository.RoomType" />-->
        <property name="RoomTypeModalRepository" ref="Repository.RoomTypeModal" />
        <property name="RoomTypeAirRepository" ref="Repository.RoomTypeAir" />
        <property name="HostAirRepository" ref="Repository.HostAir" />
        <property name="HostModalRepository" ref="Repository.HostModal" />
        <property name="RoomStatusRepository" ref="Repository.RoomStatus" />
        <property name="RoomServiceRepository" ref="Repository.RoomService" />
        <property name="SysHotelRepository" ref="Repository.SysHotel" />
        <property name="HostWordsReportRepository" ref="Repository.HostWordsReport" />
        <property name="HostFaultsRepository" ref="Repository.HostFaults" />
        <property name="HostFaultRecordsRepository" ref="Repository.HostFaultRecords" />
        <property name="HostSceneRepository" ref="Repository.HostScene" />
        <property name="HostRoomCardRepository" ref="Repository.HostRoomCard" />
        <property name="SysOauth2Repository" ref="Repository.SysOauth2" />
        <property name="NetworkSettingReceiver" ref="RCUHost.NetworkSettingReceiver" />
        <property name="DeviceSecretReceiver" ref="RCUHost.DeviceSecretReceiver" />
        <property name="HostSecretReceiver" ref="RCUHost.HostSecretReceiver" />
        <property name="HostRegisterReceiver" ref="RCUHost.HostRegisterReceiver" />
        <property name="HostRegisterSetReceiver" ref="RCUHost.HostRegisterSetReceiver" />
        <property name="HotelSeasonRepository" ref="Repository.HotelSeason" />
        <property name="HotelAirControlRepository" ref="Repository.HotelAirControl" />
        <property name="HostModalManager" ref="Manager.HostModal" />

        <!--阿宝添加的-->

        <property name="KongTiaoManager" ref="Manager.KongTiaoTimer" />
        <property name="RoomNoBodyMananger" ref="Manager.RoomNoBodyKongTiaoHowTo" />
        <property name="RoomNoBodyLogMananger" ref="Manager.RoomNoBodyKongTiaoHowToLog" />

        <property name="ECO_SettingRepository" ref="Repository.ECO_Setting" />
        <property name="ECO_DetailRepository" ref="Repository.ECO_RoomDetail" />
        <property name="TFTP_LogReceiver" ref="RCUHost.TFTPReceiver" />
        <property name="TFTP_LogSettingReceiver" ref="RCUHost.TFTPSettingReceiver" />
        <property name="HostUDPTouChuan" ref="RCUHost.UDPTouChuan" />
        <property name="HostRepository" ref="Repository.Host" />
      </object>
    </property>
  </object>

  <object id="Manager.Group" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.GroupManager, Service">
        <property name="CurrentRepository" ref="Repository.Group" />
        <property name="SysUserRepository" ref="Repository.SysUser" />
        <property name="HostRepository" ref="Repository.Host" />
      </object>
    </property>
  </object>

  <object id="Manager.SysAuthority" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.SysAuthorityManager, Service">
        <property name="CurrentRepository" ref="Repository.SysAuthority" />
      </object>
    </property>
  </object>

  <object id="Manager.SysRole" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.SysRoleManager, Service">
        <property name="CurrentRepository" ref="Repository.SysRole"/>
        <property name="SysUserRepository" ref="Repository.SysUser"/>
        <property name="SysAuthorityRepository" ref="Repository.SysAuthority" />
      </object>
    </property>
  </object>

  <object id="Manager.SysUser" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.SysUserManager, Service">
        <property name="CurrentRepository" ref="Repository.SysUser"/>
      </object>
    </property>
  </object>

  <object id="Manager.HostTimingControl" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.HostTimingControlManager, Service">
        <property name="CurrentRepository" ref="Repository.HostTimingControl"/>
      </object>
    </property>
  </object>
  <!--阿宝添加的测试-->
  <object id="Manager.Test" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.TestManager, Service">
        <property name="CurrentRepository" ref="Repository.Test"/>
      </object>
    </property>
  </object>

  <!--阿宝添加的功能-->
  <object id="Manager.KongTiaoTimer" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.KongTiaoTimerManager, Service">
        <property name="CurrentRepository" ref="Repository.KongTiaoTimer"/>
      </object>
    </property>
  </object>

  <object id="Manager.RoomNoBodyKongTiaoHowTo" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomNobodyManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomNoOneExists"/>
      </object>
    </property>
  </object>

  <object id="Manager.RoomNoBodyKongTiaoHowToLog" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.RoomNobodyLogManager, Service">
        <property name="CurrentRepository" ref="Repository.RoomNoBodyHowToLog"/>
      </object>
    </property>
  </object>

  <object id="Manager.ECO_Setting" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.ECO_SettingManager, Service">
        <property name="CurrentRepository" ref="Repository.ECO_Setting"/>
      </object>
    </property>
  </object>


  <object id="Manager.ECO_RoomDetail" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.ECO_DetailManager, Service">
        <property name="CurrentRepository" ref="Repository.ECO_RoomDetail"/>
      </object>
    </property>
  </object>



  <object id="Manager.TFTP_SettingManager" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.TFTP_SettingManager, Service">
        <property name="CurrentRepository" ref="Repository.TFTP_SetRepository"/>
      </object>
    </property>
  </object>
  <object id="Manager.CarbonVIPManager" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.CarbonVIPManager, Service">
        <property name="CurrentRepository" ref="Repository.CarbonScene_SetRepository"/>
      </object>
    </property>
  </object>

  
 <object id="Manager.LieECOManager" parent="BaseTransactionManager">
    <property name="Target">
      <object type="Service.Implement.LieECOManager, Service">
        <property name="CurrentRepository" ref="Repository.LieECORepository"/>
      </object>
    </property>
  </object>
</objects>


